<?php

namespace Litecms\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'user_id'           => $product->user_id,
            'category_id'       => $product->category_id,
            'slug'              => $product->slug,
            'name'              => $product->name,
            'capacity'          => $product->capacity,
            'technology'        => $product->technology,
            'weight'            => $product->weight,
            'warranty'          => $product->warranty,
            'features'          => $product->features,
            'description'       => $product->description,
            'image'             => $product->image,
            'images'            => $product->images,
            'upload_folder'     => $product->upload_folder,
            'meta_title'        => $product->meta_title,
            'meta_description'  => $product->meta_description,
            'meta_keyword'      => $product->meta_keyword,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}